# GitHub App

Source: https://opvs.ai/docs/api/github-app

## `GET` /api/v1/github-app/status

**Get Status**

Is this brand connected, to which GitHub account, and is it still installed?

**Parameters**

- `refresh` (query, boolean, optional)

```bash
curl -X GET 'https://app.opvs.ai/api/v1/github-app/status' \
  -H 'Authorization: Bearer <token>'
```

```python
import httpx

resp = httpx.get(
    "https://app.opvs.ai/api/v1/github-app/status",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
```

```javascript
const resp = await fetch("https://app.opvs.ai/api/v1/github-app/status", {
  method: "GET",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
```

```go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://app.opvs.ai/api/v1/github-app/status", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}
```

**Responses**

- `200` — Successful Response
- `422` — Validation Error

## `POST` /api/v1/github-app/connect

**Start Connect**

The GitHub install URL for THIS brand and THIS user. Brand admin only.

```bash
curl -X POST 'https://app.opvs.ai/api/v1/github-app/connect' \
  -H 'Authorization: Bearer <token>'
```

```python
import httpx

resp = httpx.post(
    "https://app.opvs.ai/api/v1/github-app/connect",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
```

```javascript
const resp = await fetch("https://app.opvs.ai/api/v1/github-app/connect", {
  method: "POST",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
```

```go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("POST", "https://app.opvs.ai/api/v1/github-app/connect", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}
```

**Responses**

- `200` — Successful Response

## `POST` /api/v1/github-app/link

**Start Link**

```bash
curl -X POST 'https://app.opvs.ai/api/v1/github-app/link' \
  -H 'Authorization: Bearer <token>'
```

```python
import httpx

resp = httpx.post(
    "https://app.opvs.ai/api/v1/github-app/link",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
```

```javascript
const resp = await fetch("https://app.opvs.ai/api/v1/github-app/link", {
  method: "POST",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
```

```go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("POST", "https://app.opvs.ai/api/v1/github-app/link", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}
```

**Responses**

- `200` — Successful Response

## `GET` /api/v1/github-app/connections/{integration_id}/repositories

**List Repositories**

The repos this brand's installation granted — the project repo picker.

**Parameters**

- `integration_id` (path, integer, required)

```bash
curl -X GET 'https://app.opvs.ai/api/v1/github-app/connections/{integration_id}/repositories' \
  -H 'Authorization: Bearer <token>'
```

```python
import httpx

resp = httpx.get(
    "https://app.opvs.ai/api/v1/github-app/connections/{integration_id}/repositories",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
```

```javascript
const resp = await fetch("https://app.opvs.ai/api/v1/github-app/connections/{integration_id}/repositories", {
  method: "GET",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
```

```go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("GET", "https://app.opvs.ai/api/v1/github-app/connections/{integration_id}/repositories", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}
```

**Responses**

- `200` — Successful Response
- `422` — Validation Error

## `DELETE` /api/v1/github-app/connections/{integration_id}

**Disconnect**

Stop using this installation. Uninstalling on GitHub is what revokes it.

**Parameters**

- `integration_id` (path, integer, required)

```bash
curl -X DELETE 'https://app.opvs.ai/api/v1/github-app/connections/{integration_id}' \
  -H 'Authorization: Bearer <token>'
```

```python
import httpx

resp = httpx.delete(
    "https://app.opvs.ai/api/v1/github-app/connections/{integration_id}",
    headers={"Authorization": "Bearer <token>"},
)
resp.raise_for_status()
print(resp.json())
```

```javascript
const resp = await fetch("https://app.opvs.ai/api/v1/github-app/connections/{integration_id}", {
  method: "DELETE",
  headers: { "Authorization": "Bearer <token>" }
});
const data = await resp.json();
console.log(data);
```

```go
package main

import (
	"net/http"
)

func main() {
	req, _ := http.NewRequest("DELETE", "https://app.opvs.ai/api/v1/github-app/connections/{integration_id}", nil)
	req.Header.Set("Authorization", "Bearer <token>")
	resp, _ := http.DefaultClient.Do(req)
	defer resp.Body.Close()
}
```

**Responses**

- `204` — Successful Response
- `422` — Validation Error

## Get Status

`GET https://app.opvs.ai/api/v1/github-app/status`

Also as: MCP `tool_call software-factory.githubAppStatus` · skill `software-factory`

Is this brand connected, to which GitHub account, and is it still installed?

| Code | When | What to do |
| --- | --- | --- |
| 422 | Validation Error |  |

## Start Connect

`POST https://app.opvs.ai/api/v1/github-app/connect`

Also as: MCP `tool_call software-factory.githubAppConnect` · skill `software-factory`

The GitHub install URL for THIS brand and THIS user. Brand admin only.

## Start Link

`POST https://app.opvs.ai/api/v1/github-app/link`

Also as: MCP `tool_call software-factory.githubAppLinkRepo` · skill `software-factory`

## List Repositories

`GET https://app.opvs.ai/api/v1/github-app/connections/{integration_id}/repositories`

Also as: MCP `tool_call software-factory.githubAppListRepositories` · skill `software-factory`

The repos this brand's installation granted — the project repo picker.

| Code | When | What to do |
| --- | --- | --- |
| 422 | Validation Error |  |

## Disconnect

`DELETE https://app.opvs.ai/api/v1/github-app/connections/{integration_id}`

Also as: MCP `tool_call software-factory.githubAppDisconnect` · skill `software-factory`

Stop using this installation. Uninstalling on GitHub is what revokes it.

| Code | When | What to do |
| --- | --- | --- |
| 422 | Validation Error |  |
